API ReferenceContracts
Quote Contract
This API call can be used by a client to re-quote an existing contract after a change to a payment, deletion of a payment or the expiry of a previous quotation.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
contractNumber*string
Query Parameters
accountNumber?string
Client account number
Response Body
application/json
application/json
curl -X POST "https://example.com/v2/contracts/string/quote"{ "contractType": "NotSpecified", "createdDate": "2019-08-24T14:15:22Z", "deliveryMethod": "BankAccount", "identifier": { "clientTransferNumber": "ACME1345", "contractNumber": "2416427" }, "quote": { "expires": "2019-08-24T14:15:22Z", "fxDetails": [ { "buy": { "amount": 80, "currency": "GBP" }, "fixedAmountType": "NotSet", "rate": { "baseCurrency": "GBP", "buyCurrency": "GBP", "inverseRate": 0, "rate": 0, "sellCurrency": "GBP" }, "remainingBuyForward": { "amount": 80, "currency": "GBP" }, "remainingSellForward": { "amount": 80, "currency": "GBP" }, "sell": { "amount": 80, "currency": "GBP" }, "effectiveDate": "2019-08-24", "quoteType": "Spot", "remainingToDisburse": { "amount": 80, "currency": "GBP" }, "valueDate": "2019-08-24" } ], "quoteTime": "2019-08-24T14:15:22Z" }, "quoteStatus": "NotSet", "settlementOptions": [ { "displayName": "string", "initialMarginSettlementMethods": [ "BankTransfer" ], "isAvailable": true, "method": "BankTransfer", "unAvailableReason": "string", "unAvailableReasonCode": "string" } ], "settlementStatus": "Settled", "status": "QuoteRequired", "summary": [ { "directDebitBankAccount": { "accountName": "ACME", "accountNumber": "12345674" }, "settlementDate": "2019-08-24T14:15:22Z", "settlementMethod": "BankTransfer", "xeBankAccount": { "accountName": "ACME", "accountNumber": "12345674", "accountType": "string", "bic": "MIDLGB22XXX", "branchNumber": "string", "country": "GB", "iban": "GB26MIDL40051512345674", "ncc": "string" }, "initialMargin": { "amount": 0, "currency": "GBP" }, "remainingSettlement": { "amount": 0, "currency": "GBP", "valueDate": "2019-08-24" }, "settlementAmount": { "amount": 0, "currency": "GBP" }, "settlementFees": { "amount": 0, "currency": "GBP" } } ]}{ "code": 0, "failureDateTime": "2019-08-24T14:15:22Z", "longErrorMsg": "string", "shortErrorMsg": "string", "traceErrorId": "string", "typeOfFailure": "MODEL_VALIDATION"}Empty
Empty
Empty
Get Payment GET
This API call allows a client to get an original payment and review its validation status or issues. You can pass in clientReference or XePaymentId via the clientReference path parameter.
Update Payment Settlement Type PATCH
This API call updates Settlement Details for an existing contract.